<p>{{ isOn ? 'ON' : 'OFF' }}</p>
<p *ngIf="isOn">ON</p>
<p *ngIf="!isOn">OFF</p>
<button (click)="toggle()">Toggle</button>
<div *ngFor="let val of values">
  <p>{{ val }}</p>
</div>

<ng-container [ngSwitch]="switchVal">
  <div *ngSwitchCase="1">1</div>
  <div *ngSwitchCase="2">2</div>
  <div *ngSwitchCase="3">3</div>
  <div *ngSwitchDefault>0</div>
</ng-container>
